Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Php 5.6 And 7.0 Support Will Halt On December 31, 2018 Rate Topic   - - - - -

 

Posted 19 October 2018 - 06:48 AM #1

Get ready, guys! And update your PHP to survive the next year.

 

PHP versions affect many things: from security to speed, down to the basic functionality of our web pages. The reason why you can’t continue using the same PHP version forever is similar to the reason why you can’t drive one car forever. Time “eats” it and it’s getting old.

 

Reasons why you should upgrade PHP versions

1. Security

2. Performance

3. Support

4. New opportunities for developers

 

PHP 7 comes with many improvements over its predecessors that will benefit your ecommerce site. Despite this, it is becoming an industry requirement for the launch of a safe and fast online store, so it is important to make the switch sooner than later.

 

Our DevOps Alex is explaining all benefits of supported PHP in his Post.


AWS Cloud hosting for CS-Cart and Multi-Vendor

by Simtech Development - CS-Cart certified hosting provider

free installation & migration | free 24/7 server monitoring | free daily backups | free SSL | and more...


 
  • imago
  • Senior Member
  • Members
  • Join Date: 18-Oct 18
  • 391 posts

Posted 20 October 2018 - 04:21 AM #2

Just to add that cPanel have dropped the support for mySQL 5.6. All new installations come with 5.7 or MariaDB 10.3 and there is no way to go back to 5.6. If you are running 5.7 and there are mySQL errors, the only solution is to upgrade to MariaDB 10.1 or 2 which are said to be compatible with mySQL 5.6 - or to install mySQL 5.6 on a remote server.

 

Transition to PHP 7.2 was quite seamless.



 
  • Fantis
  • Newbie
  • Trial users
  • Join Date: 28-Feb 19
  • 1 posts

Posted 28 February 2019 - 10:47 AM #3

If my site is still on the old version of php, is it very bad for the security of the site?